<?php

/*  Initialize the meta boxes.
/* ------------------------------------ */
add_action( 'admin_init', '_custom_meta_boxes' );

function _custom_meta_boxes() {
  
/*  Custom meta boxes
/* ------------------------------------ */
$page_options = array(
	'id'          => 'page-options',
	'title'       => __('Page Options','hueman'),
	'desc'        => '',
	'pages'       => array( 'page' ),
	'context'     => 'normal',
	'priority'    => 'high',
	'fields'      => array(
		array(
			'label'		=>__( 'Heading','hueman'),
			'id'		=> '_heading',
			'type'		=> 'text'
		),
		array(
			'label'		=>__( 'Subheading','hueman'),
			'id'		=> '_subheading',
			'type'		=> 'text'
		),
		array(
			'label'		=>__( 'Primary Sidebar','hueman'),
			'id'		=> '_sidebar_primary',
			'type'		=> 'sidebar-select',
			'desc'		=>__( 'Overrides default','hueman')
		),
		array(
			'label'		=>__( 'Secondary Sidebar','hueman'),
			'id'		=> '_sidebar_secondary',
			'type'		=> 'sidebar-select',
			'desc'		=>__( 'Overrides default','hueman')
		),
		array(
			'label'		=>__( 'Layout','hueman'),
			'id'		=> '_layout',
			'type'		=> 'radio-image',
			'desc'		=>__( 'Overrides the default layout option','hueman'),
			'std'		=> 'inherit',
			'choices'	=> array(
				array(
					'value'		=> 'inherit',
					'label'		=>__( 'Inherit Layout','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/layout-off.png'
				),
				array(
					'value'		=> 'col-1c',
					'label'		=>__( '1 Column','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-1c.png'
				),
				array(
					'value'		=> 'col-2cl',
					'label'		=>__( '2 Column Left','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-2cl.png'
				),
				array(
					'value'		=> 'col-2cr',
					'label'		=>__( '2 Column Right','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-2cr.png'
				),
				array(
					'value'		=> 'col-3cm',
					'label'		=>__( '3 Column Middle','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-3cm.png'
				),
				array(
					'value'		=> 'col-3cl',
					'label'		=>__( '3 Column Left','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-3cl.png'
				),
				array(
					'value'		=> 'col-3cr',
					'label'		=>__( '3 Column Right','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-3cr.png'
				)
			)
		)
	)
);

$post_options = array(
	'id'          => 'post-options',
	'title'       => __('Post Options','hueman'),
	'desc'        => '',
	'pages'       => array( 'post' ),
	'context'     => 'normal',
	'priority'    => 'high',
	'fields'      => array(
		array(
			'label'		=>__( 'Primary Sidebar','hueman'),
			'id'		=> '_sidebar_primary',
			'type'		=> 'sidebar-select',
			'desc'		=>__( 'Overrides default','hueman')
		),
		array(
			'label'		=>__( 'Secondary Sidebar','hueman'),
			'id'		=> '_sidebar_secondary',
			'type'		=> 'sidebar-select',
			'desc'		=>__( 'Overrides default','hueman')
		),
		array(
			'label'		=>__( 'Layout','hueman'),
			'id'		=> '_layout',
			'type'		=> 'radio-image',
			'desc'		=>__( 'Overrides the default layout option','hueman'),
			'std'		=> 'inherit',
			'choices'	=> array(
				array(
					'value'		=> 'inherit',
					'label'		=>__( 'Inherit Layout','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/layout-off.png'
				),
				array(
					'value'		=> 'col-1c',
					'label'		=>__( '1 Column','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-1c.png'
				),
				array(
					'value'		=> 'col-2cl',
					'label'		=>__( '2 Column Left','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-2cl.png'
				),
				array(
					'value'		=> 'col-2cr',
					'label'		=>__( '2 Column Right','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-2cr.png'
				),
				array(
					'value'		=> 'col-3cm',
					'label'		=>__( '3 Column Middle','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-3cm.png'
				),
				array(
					'value'		=> 'col-3cl',
					'label'		=>__( '3 Column Left','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-3cl.png'
				),
				array(
					'value'		=> 'col-3cr',
					'label'		=>__( '3 Column Right','hueman'),
					'src'		=> get_template_directory_uri() . '/functions/images/col-3cr.png'
				)
			)
		)
	)
);

$post_format_audio = array(
	'id'          => 'format-audio',
	'title'       => __('Format: Audio','hueman'),
	'desc'        => __('These settings enable you to embed audio into your posts. You must provide both .mp3 and .ogg/.oga file formats in order for self hosted audio to function accross all browsers.','hueman'),
	'pages'       => array( 'post' ),
	'context'     => 'normal',
	'priority'    => 'high',
	'fields'      => array(
		array(
			'label'		=>__( 'MP3 File URL','hueman'),
			'id'		=> '_audio_mp3_url',
			'type'		=> 'upload',
			'desc'		=>__( 'The URL to the .mp3 or .m4a audio file','hueman')
		),
		array(
			'label'		=>__( 'OGA File URL','hueman'),
			'id'		=> '_audio_ogg_url',
			'type'		=> 'upload',
			'desc'		=>__( 'The URL to the .oga, .ogg audio file','hueman')
		)
	)
);
$post_format_gallery = array(
	'id'          => 'format-gallery',
	'title'       => __('Format: Gallery','hueman'),
	'desc'        => __('<a title="Add Media" data-editor="content" class="button insert-media add_media" id="insert-media-button" href="#">Add Media</a> <br /><br />
						To create a gallery, upload your images and then select "<strong>Uploaded to this post</strong>" from the dropdown (in the media popup) to see images attached to this post. You can drag to re-order or delete them there. <br /><br /><i>Note: Do not click the "Insert into post" button. Only use the "Insert Media" section of the upload popup, not "Create Gallery" which is for standard post galleries.</i>','hueman'),
	'pages'       => array( 'post' ),
	'context'     => 'normal',
	'priority'    => 'high',
	'fields'      => array()
);
$post_format_chat = array(
	'id'          => 'format-chat',
	'title'       => __('Format: Chat','hueman'),
	'desc'        => __('Input chat dialogue.','hueman'),
	'pages'       => array( 'post' ),
	'context'     => 'normal',
	'priority'    => 'high',
	'fields'      => array(
		array(
			'label'		=>__( 'Chat Text','hueman'),
			'id'		=> '_chat',
			'type'		=> 'textarea',
			'rows'		=> '2'
		)
	)
);
$post_format_link = array(
	'id'          => 'format-link',
	'title'       => __('Format: Link','hueman'),
	'desc'        => __('Input your link.','hueman'),
	'pages'       => array( 'post' ),
	'context'     => 'normal',
	'priority'    => 'high',
	'fields'      => array(
		array(
			'label'		=>__( 'Link Title','hueman'),
			'id'		=> '_link_title',
			'type'		=> 'text'
		),
		array(
			'label'		=>__( 'Link URL','hueman'),
			'id'		=> '_link_url',
			'type'		=> 'text'
		)
	)
);
$post_format_quote = array(
	'id'          => 'format-quote',
	'title'       => __('Format: Quote','hueman'),
	'desc'        => __('Input your quote.','hueman'),
	'pages'       => array( 'post' ),
	'context'     => 'normal',
	'priority'    => 'high',
	'fields'      => array(
		array(
			'label'		=>__( 'Quote','hueman'),
			'id'		=> '_quote',
			'type'		=> 'textarea',
			'rows'		=> '2'
		),
		array(
			'label'		=>__( 'Quote Author','hueman'),
			'id'		=> '_quote_author',
			'type'		=> 'text'
		)
	)
);
$post_format_video = array(
	'id'          => 'format-video',
	'title'       => __('Format: Video','hueman'),
	'desc'        => __('These settings enable you to embed videos into your posts.','hueman'),
	'pages'       => array( 'post' ),
	'context'     => 'normal',
	'priority'    => 'high',
	'fields'      => array(
		array(
			'label'		=>__( 'Video URL','hueman'),
			'id'		=> '_video_url',
			'type'		=> 'text',
			'desc'		=>__( 'Recommended to use.','hueman')
		),
		array(
			'label'		=>__( 'Video Embed Code','hueman'),
			'id'		=> '_video_embed_code',
			'type'		=> 'textarea',
			'rows'		=> '2'
		)
	)
);

/*  Register meta boxes
/* ------------------------------------ */
	ot_register_meta_box( $page_options );
	ot_register_meta_box( $post_format_audio );
	ot_register_meta_box( $post_format_chat );
	ot_register_meta_box( $post_format_gallery );
	ot_register_meta_box( $post_format_link );
	ot_register_meta_box( $post_format_quote );
	ot_register_meta_box( $post_format_video );
	ot_register_meta_box( $post_options );
}